shishi_encapreppart_seqnumber_get(3)

NAME
shishi_encapreppart_seqnumber_get - API function

SYNOPSIS
#include <shishi.h>

int shishi_encapreppart_seqnumber_get(Shishi * handle, Shishi_asn1 encapreppart, uint32_t * seqnumber);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 encapreppart
    EncAPRepPart as allocated by shishi_encapreppart().

uint32_t * seqnumber
    output integer with sequence number field.

DESCRIPTION
Extract sequence number field from EncAPRepPart.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.